<?php 
 
// array for JSON response
$response = array();
 
 require_once __DIR__ . '/catchexception.php';
// include db connect class
require_once __DIR__ . '/db_config.php';
  
$json = file_get_contents('php://input');
$obj = json_decode($json,true);

$deviceid = $obj['deviceid'];
$clientcode=$obj['clientcode'];
$fromdate=$obj['fromdate'];
$todate=$obj['todate'];
$sortby=$obj['sortby'];
$sortorder=$obj['sortorder'];
$branchcode=$obj['branchcode'];

try{
if ($sortby =="value")
{
$sortby=" round(cast(sum(amount) as numeric),2) ";
}
else
{
  $sortby=" round(cast(sum(qty) as numeric),2) ";
}
// if($branchcode == '0')
// {
  //  $filterBranch = "1=1"
// }
// else{
 // $filterBranch = "a.branchcode=$branchcode"
// }
// $paraimeino ='f4f8ffbef470be87'; 

if($branchcode == '0')
{
   $filterBranch = "1=1";
}
else{
 $filterBranch = "a.branchcode=$branchcode";
}
if ($deviceid !="" ) {
    
    $paraquery="select sum(qty) as qty, sum(amount) as amount,itemcode,(select itemname from tblitemmaster where itemcode=a.itemcode) as itemname
	from tblsalesitemdetails as a  where   transactiondate between $1 and $2  and clientcode=$3 and ". $filterBranch." group by itemcode	   order by ". $sortby."  ". $sortorder ;
  $resultmax=  pg_prepare($con,"paraquery",$paraquery);
      $data = [$fromdate,$todate,$clientcode];
      $result = pg_execute($con,"paraquery",$data);
      
    if (!empty($result)) {
        // check for empty result
        if (pg_num_rows($result) > 0) {
      // user node
            $response["itemsalesdetails"] = array();
 
            while ($row = pg_fetch_assoc($result)) {        
              $report = array();
               
                $report["itemcode"] = $row["itemcode"];
                $report["itemname"] = $row["itemname"];
                $report["qty"] = $row["qty"];
                $report["amount"] = $row["amount"];
                
                
           
              // push single product into final response array
              array_push($response["itemsalesdetails"], $report);
            }
            // success
            $response["success"] = 1;
 
            // echoing JSON response
            echo  json_encode($response,JSON_UNESCAPED_UNICODE);


        } else {
            // no user found
            $response["success"] = 0;
            $response["message"] = "No Report found";
 
            // echo no users JSON
            echo json_encode($response);
        }
    } else {
        // no user found
        $response["success"] = 0;
        $response["message"] = "No found";
 
        // echo no users JSON
        echo json_encode($response);
    }
} else {
    // required field is missing
    $response["success"] = 0;
    $response["message"] = "Required field(s) is missing";
 
     echo  json_encode($response,JSON_UNESCAPED_UNICODE);
  }
  mch_db_release($con);
}
//catch exception
catch(Exception $e) {
mch_db_release($con);
echo 'Message: ' .$e->getMessage();
}
?>
